## crasm 1.7

=== Makefile ===
SHELL=/bin/sh
MAKE=make

prefix=/usr
bindir=${prefix}/bin
mandir=${prefix}/share/man

all:
	( cd src; ${MAKE} all )

clean:
	( cd src; ${MAKE} clean )

install:
	cp src/crasm ${bindir}/crasm
	chmod 0755 ${bindir}/crasm
	cp crasm.1 ${mandir}/man1/crasm.1
	chmod 0644 ${mandir}/man1/crasm.1

=== src/Makefile ===
SHELL   =/bin/sh
CFLAGS  = -O
LDFLAGS	= 
LIBS    = -lm
RM	= rm

OBJ     =   crasm.o stdvocabulary.o pseudos.o macro.o label.o \
            parse.o filter.o operator.o output.o xref.o scode.o

CPU     =   cpulist.o cpu6800.o cpu6502.o cpuz80.o

all: crasm

crasm: $(OBJ) $(CPU)
	${CC} ${CFLAGS} ${LDFLAGS} -o crasm $(OBJ) $(CPU) ${LIBS}
	@echo "done"

clean: FORCE
	-${RM} 2>/dev/null *.o crasm

FORCE:

.PHONY: FORCE

$(OBJ):	dcl.h label.h
$(CPU):	cpu.h

## crasm 1.6

=== debian/changelog ===
crasm (1.6-1) unstable; urgency=low

  * New upstream release.
  * Move to debhelper level 9 and Standards-Version 3.9.4 .
  * Change to 3.0 (quilt) source format.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 22 May 2013 19:41:00 +0200

crasm (1.5-1) unstable; urgency=low

  * New upstream release.
  * Update to Standards-Version 3.8.2 , correct watch file (closes: #450143).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 01 Aug 2009 07:39:59 +0000

crasm (1.4-2) unstable; urgency=low

  * Correct my big packaging mistake: use the binary-arch target instead of
    simply the binary target for package creation in buildds.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon,  5 Jun 2006 11:12:33 +0200

crasm (1.4-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun,  7 May 2006 15:08:22 +0000

crasm (1.3-1) unstable; urgency=low

  * Initial release (closes: #266986).
  * Many thanks to Peter Jennings <peterj@benlo.com>, who re-licensed his
    code to be freely distributible when I have asked him to do so.
  * Added debian/watch .

 -- László Böszörményi (GCS) <gcs@lsc.hu>  Fri, 20 Aug 2004 02:02:32 +0000

=== debian/control ===
Source: crasm
Section: devel
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://crasm.sourceforge.net/crasm.html

Package: crasm
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cross assembler for 6800/6801/6803/6502/65C02/Z80
 Assemble a microprocessor program and produce output file in Intel HEX
 or Motorola S Code from source for 6800/6801/6803/6502/65C02/Z80
 processors. A program listing and a symbol table are also produced
 on the standard output.

## crasm 1.7

=== debian/changelog ===
crasm (1.7-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 16 Nov 2013 09:16:22 +0100

=== debian/watch ===
version=3
http://sf.net/crasm/crasm-(.+)\.tar\.gz

## crasm 1.8

=== debian/changelog ===
crasm (1.8-2) unstable; urgency=medium

  * Use short debhelper rules format (closes: #928850).
  * Update homepage location.
  * Update debhelper level to 11 .
  * Update Standards-Version to 4.3.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 12 May 2019 06:28:52 +0000

crasm (1.8-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 04 Mar 2014 01:39:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
-Homepage: http://crasm.sourceforge.net/crasm.html
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.3.0
+Homepage: http://htmlpreview.github.io/?https://github.com/colinbourassa/crasm/blob/master/crasm.html
 
 Package: crasm
 Section: devel

=== debian/watch ===
version=3
https://sf.net/crasm/crasm-(.+)\.tar\.gz

## crasm 1.11

=== Makefile ===
--- 
+++ 
@@ -10,9 +10,14 @@
 
 clean:
 	( cd src; ${MAKE} clean )
+	( cd test; ${MAKE} clean )
+
+test: all
+	( cd test; ${MAKE} test )
 
 install:
 	cp src/crasm ${bindir}/crasm
 	chmod 0755 ${bindir}/crasm
 	cp crasm.1 ${mandir}/man1/crasm.1
 	chmod 0644 ${mandir}/man1/crasm.1
+

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 SHELL   =/bin/sh
-CFLAGS  = -O
+CFLAGS  = -O -Wall -std=c89
 LDFLAGS	= 
 LIBS    = -lm
 RM	= rm

=== test/Makefile ===
TEST_SOURCES := $(wildcard *.asm)
TEST_OUTPUT := $(TEST_SOURCES:.asm=.out)

%.out : %.asm
	mkdir -p test_output
	../src/crasm -o test_output/$@ -l $<
	@diff test_output/$@ reference_output/$@ || (echo "Output '$@' does not match expected!"; exit 1 )

test: ${TEST_OUTPUT}

clean:
	rm -rf test_output

=== debian/changelog ===
crasm (1.11-1) unstable; urgency=medium

  * New upstream release:
    - fixes FTBFS with GCC 15 (closes: #1096478).
  * Refer online version of Free Software Foundation licence.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 27 Sep 2025 18:19:40 +0000

crasm (1.8-3) unstable; urgency=medium

  * Reorganize variables to fix GCC 10 FTBFS (closes: #957109).
  * Update watch file.
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 19 Apr 2020 17:31:23 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.3.0
-Homepage: http://htmlpreview.github.io/?https://github.com/colinbourassa/crasm/blob/master/crasm.html
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.2
+Homepage: https://htmlpreview.github.io/?https://github.com/colinbourassa/crasm/blob/master/crasm.html
 
 Package: crasm
 Section: devel

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/crasm/usr

%:
	dh $@

.PHONY: override_dh_auto_install

=== debian/watch ===
version=4
https://sf.net/crasm/crasm-(.+).(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
